ru.bitel.bgbilling.modules.inet.radius

## Class InetNasConnection

- java.lang.Object
- - ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection<ru.bitel.bgbilling.modules.inet.accounting.InetConnectionRuntime>
  - - ru.bitel.bgbilling.modules.inet.radius.InetNasConnection

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class InetNasConnection
      extends ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection<ru.bitel.bgbilling.modules.inet.accounting.InetConnectionRuntime>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection

      `ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection.Status`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection

      `nasList, setup`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetNasConnection(ru.bitel.bgbilling.kernel.network.radius.nas.NasList<? extends ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection<?>,? extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<? extends ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection<?>,?,?>> nasList, int nasId, int nasPort)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addPersonalRadiusAttributes(RadiusAttributeSet response)` Deprecated. use `InetNas#addRadiusAttributes(RadiusAttributeSet, String, Set)`
    `void` | `addRadiusAttributes(RadiusAttributeSet response, java.util.Set<java.lang.Integer> attrSets, java.lang.String limitAttribute, java.lang.String limitValue)` Deprecated. use `InetNas#addRadiusAttributes(RadiusAttributeSet, String, Set)`
    `int` | `getNasPort()`
    `ru.bitel.bgbilling.modules.inet.accounting.InetConnectionCallRuntime` | `getSession()`
    `void` | `setSession(ru.bitel.bgbilling.modules.inet.accounting.InetConnectionCallRuntime session)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection

      `close, getAuthorizationAttributes, getNas, getStatus, isKill, kill, modify, notKill, setStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetNasConnection

          public InetNasConnection(ru.bitel.bgbilling.kernel.network.radius.nas.NasList<? extends ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection<?>,? extends ru.bitel.bgbilling.kernel.network.radius.nas.Nas<? extends ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection<?>,?,?>> nasList,
                                   int nasId,
                                   int nasPort)

  - ### Method Detail

    - #### getNasPort

          public int getNasPort()

    - #### setSession

          public void setSession(ru.bitel.bgbilling.modules.inet.accounting.InetConnectionCallRuntime session)

    - #### getSession

          public ru.bitel.bgbilling.modules.inet.accounting.InetConnectionCallRuntime getSession()

      Overrides:
        `getSession` in class `ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection<ru.bitel.bgbilling.modules.inet.accounting.InetConnectionRuntime>`

    - #### addRadiusAttributes

          @Deprecated
          public void addRadiusAttributes(RadiusAttributeSet response,
                                                      java.util.Set<java.lang.Integer> attrSets,
                                                      java.lang.String limitAttribute,
                                                      java.lang.String limitValue)

      Deprecated. use `InetNas#addRadiusAttributes(RadiusAttributeSet, String, Set)`
      Overrides:
        `addRadiusAttributes` in class `ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection<ru.bitel.bgbilling.modules.inet.accounting.InetConnectionRuntime>`

    - #### addPersonalRadiusAttributes

          @Deprecated
          protected void addPersonalRadiusAttributes(RadiusAttributeSet response)

      Deprecated. use `InetNas#addRadiusAttributes(RadiusAttributeSet, String, Set)`
      Overrides:
        `addPersonalRadiusAttributes` in class `ru.bitel.bgbilling.kernel.network.radius.nas.NasConnection<ru.bitel.bgbilling.modules.inet.accounting.InetConnectionRuntime>`